interactions:
- request:
    body: '{"messages":[{"role":"user","content":"Say hello in one word"}],"model":"gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate, zstd
      connection:
      - keep-alive
      content-length:
      - '81'
      content-type:
      - application/json
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.109.1
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.109.1
      x-stainless-read-timeout:
      - '600'
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.12.10
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-CfYfn0DM5YwWUU5vO22JZWDKdWcFm\",\n  \"object\": \"chat.completion\",\n  \"created\": 1764020767,\n  \"model\": \"gpt-4o-2024-08-06\",\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\": \"assistant\",\n        \"content\": \"Hello!\",\n        \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 12,\n    \"completion_tokens\": 2,\n    \"total_tokens\": 14,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\": {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\": \"fp_c98e05ca17\"\n}\n"
    headers:
      CF-RAY:
      - 9a3c18dff8580f53-EWR
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Mon, 24 Nov 2025 21:46:08 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - FILTERED
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains; preload
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - FILTERED
      openai-processing-ms:
      - '1096'
      openai-project:
      - FILTERED
      openai-version:
      - '2020-10-01'
      x-envoy-upstream-service-time:
      - '1138'
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-project-requests:
      - '10000'
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-project-requests:
      - '9999'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999992'
      x-ratelimit-reset-project-requests:
      - 6ms
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_670507131d6c455caf0e8cbc30a1a792
    status:
      code: 200
      message: OK
version: 1
